Home‎ > ‎How To's‎ > ‎Installation‎ > ‎

Anaconda Installation

Here are the steps needed to install Warp using Anaconda version 5 or higher. These are the versions that can include a full compiler toolset. It is recommended to use a version with Python3.

Forthon

Forthon provides the glue linking Fortran and python. It must be installed first before Warp can be built. It can be installed using pip:

pip install Forthon

Compilers

The appropriate C and Fortran compiler needs to be installed. Details can be found here at the Anaconda website. Install the compilers for your architecture.

Linux:
conda install gcc_linux-64
conda install gfortran_linux-64

MacOS:
conda install clang_osx-64
conda install gfortran_osx-64

In order to use the compilers, they must be activated, for example:
source activate root

This sets up the environment in the shell, for example setting the appropriate execute path. The compilation must be done in this activated shell.

Warp

Download Warp from bitbucket, https://bitbucket.org/berkeleylab/warp/downloads. Download and extract the tar ball from the most recent release (not the "Download repository" link). Update it by cd-ing into the warp directory and running git.
git pull

Warp needs to be configured to use the Anaconda compilers. Go into the warp/pywarp90 directory and create the file Makefile.local3 and add the following lines

FCOMP = -F gfortran
FCOMPEXEC = --fcompexec x86_64-apple-darwin13.4.0-gfortran

Replace the fcompexec argument with the appropriate name of the gfortran compiler for your system. (Don't forget that if you upgrade your system, this name will need to be updated also.)

Serial Warp can now be compiled and installed.
make -j install3

To use parallel Warp, the mpi4py package needs to be installed. I recommend using the conda forge version (which has more versions available).
conda config --add channels conda-forge
conda install mpi4py

As with the serial version, the appropriate compiler must be specified. Add the following lines to the file Makefile.local3.pympi
FCOMP = -F gfortran
FCOMPEXEC = --fcompexec mpifort

Then build and install it.
make -j pinstall3

For additional packages, such as pygist, refer to the main installation page.
Comments